Initialize a new `XUnit` test reporter.

see

  https://mochajs.org/api/Mocha.reporters.XUnit.html

### Hierarchy

- XUnit

## Index

### Interfaces

- MochaOptions
- ReporterOptions

### Constructors

- constructor

### Methods

- done
- test
- write

## Constructors

### constructor

- new XUnit(runner: Runner, options?: MochaOptions): XUnit
- new XUnit(runner: IRunner, options?: MochaOptions): XUnit

- - Defined in node_modules/@types/mocha/index.d.ts:975

  #### Parameters

  - ##### runner: Runner

  - ##### Optional options: MochaOptions

  #### Returns XUnit

- - Defined in node_modules/@types/mocha/index.d.ts:976
  deprecated

    Use the overload that accepts `Mocha.Runner` instead.

  #### Parameters

  - ##### runner: IRunner

  - ##### Optional options: MochaOptions

  #### Returns XUnit

## Methods

### done

- done(failures: number, fn: function): void

- - Defined in node_modules/@types/mocha/index.d.ts:985

  Override done to close the stream (if it's a file).

  see

    https://mochajs.org/api/Mocha.reporters.XUnit.html#done

  #### Parameters

  - ##### failures: number

  - ##### fn: function

    - - (failures: number): void

      - #### Parameters

        - ##### failures: number

        #### Returns void

### test

- test(test: Test): void

- - Defined in node_modules/@types/mocha/index.d.ts:999

  Output tag for the given `test.`

  see

    https://mochajs.org/api/Mocha.reporters.XUnit.html#test

  #### Parameters

  - ##### test: Test

  #### Returns void

### write

- write(line: string): void

- - Defined in node_modules/@types/mocha/index.d.ts:992

  Write out the given line.

  see

    https://mochajs.org/api/Mocha.reporters.XUnit.html#write

  #### Parameters

  - ##### line: string

  #### Returns void

Generated using TypeDoc